HUGO-COMPLETION-ZSH(1)

NAME

hugo-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS

hugo completion zsh [flags]

DESCRIPTION

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:
    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:
    source <(hugo completion zsh)

To load completions for every new session, execute once:

  Linux:
    hugo completion zsh > "${fpath[1]}/_hugo"

  macOS:
    hugo completion zsh > $(brew --prefix)/share/zsh/site-functions/_hugo

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO

hugo-completion(1)